### Method

# Pango LayoutIter get_run_readonly

since: 1.16

#### Declaration [src]

    PangoLayoutRun*
    pango_layout_iter_get_run_readonly (
      PangoLayoutIter* iter
    )

#### Description [src]

Gets the current run for read-only access.

When iterating by run, at the end of each line, there’s a position with a `NULL` run, so this function can return `NULL`. The `NULL` run at the end of each line ensures that all lines have at least one run, even lines consisting of only a newline.

This is a faster alternative to `pango_layout_iter_get_run()`, but the user is not expected to modify the contents of the run (glyphs, glyph widths, etc.).

Available since: 1.16

#### Return value

Type: `PangoLayoutRun`

The current run, that should not be modified.

The data is owned by the instance.
The return value can be `NULL`.